Loading...
Searching...
No Matches
DSRDocumentTreeNodeAndFilter Class Reference

Class implementing a list of document tree node filters that are combined with AND (conjunction). More...

Inheritance diagram for DSRDocumentTreeNodeAndFilter:

## Public Member Functions

virtual | ~DSRDocumentTreeNodeAndFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches all filter criteria in the list
Public Member Functions inherited from DSRDocumentTreeNodeFilterList
| DSRDocumentTreeNodeFilterList ()
| default constructor
virtual | ~DSRDocumentTreeNodeFilterList ()
| destructor
OFCondition | addFilter (DSRDocumentTreeNodeFilter *filter)
| add a document tree node filter to the list
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Additional Inherited Members

Protected Attributes inherited from DSRDocumentTreeNodeFilterList
OFList< DSRDocumentTreeNodeFilter * > | FilterList
| list of pointers to filter criteria

## Detailed Description

Class implementing a list of document tree node filters that are combined with AND (conjunction).

## Member Function Documentation

## matches()

virtual OFBool DSRDocumentTreeNodeAndFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const

virtual

check whether given node matches all filter criteria in the list

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criteria, OFFalse otherwise

Implements DSRDocumentTreeNodeFilterList.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0